Piloterr

Github User Info

Github User Info via API.

Credit cost: 1 credit per call

GET
/v2/github/user/info

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/github/user/info?query=string"
[
  {
    "name": "Example",
    "value": {
      "id": 1024025,
      "name": "Linus Torvalds",
      "email": [
        "torvalds@linux-foundation.org"
      ],
      "login": "torvalds",
      "company": "Linux Foundation",
      "location": "Portland, OR",
      "ssh_keys": "https://github.com/torvalds.keys",
      "followers": 199164,
      "following": 0,
      "avatar_url": "https://avatars.githubusercontent.com/u/1024025?v=4",
      "created_at": "2011-09-03T15:26:22Z",
      "updated_at": "2023-11-12T20:08:30Z",
      "public_gists": "https://gist.github.com/torvalds",
      "public_repos": 7
    }
  }
]
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}